/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.core.events;

import vnsim.core.*;

public class UnicastSendEvent extends SendEvent{

	int receiverId;
	
	public UnicastSendEvent(int t, Communicator sender, int messageType, int receiverId){
		super(t, sender, messageType);
		this.receiverId = receiverId;
	}

	public int getReceiverId() {
		return receiverId;
	}

	public void setReceiverId(int receiverId) {
		this.receiverId = receiverId;
	}

	public String toString() {
		return "["+time+": Unicast "+sender+" for car"+receiverId+"]";
	} 
}
