/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
//Petroaca - a data frame at the Mac level
package vnsim.network.dsrc;

import vnsim.map.object.Globals;

public class DsrcFrame
{
	private byte[] macHeader;
	private byte[] data;
	
	public DsrcFrame()
	{
		this.macHeader=new byte[Globals.DSRC_MACHEADER_LENGHT];
		this.data=new byte[10];
	}
	
	public DsrcFrame(byte[] macHeader,byte[] data)
	{
		this.macHeader=macHeader;
		this.data=data;
	}
	
	public byte[] getMacHeader()
	{
		return this.macHeader;
	}
	
	public void setMacHeader(byte[] set)
	{
		this.macHeader=set;
	}
	
	public byte[] getData()
	{
		return this.data;
	}
	
	public void setData(byte[] set)
	{
		this.data=set;
	}
	
	public String toString()
	{
		return "Mac Header:"+this.macHeader+" Data:"+this.data;
	}
}