/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.vehicular.routePlan;

import java.util.ArrayList;

import vnsim.vehicular.routePlan.cityRouting.RoadSegmentCost;
import vnsim.vehicular.routePlan.infrastructureRouted.DelayRecord;

public class RoutingConstants {

	public static ArrayList<DelayRecord> delays1 = new ArrayList<DelayRecord>();
	public int PERCENT_DYNAMIC_ROUTE = 80;
	public int percentBestRoute = 80;
	public final byte ROAD_PLANNING_PROT = 6;
	public java.lang.String fisOutCar = "log80Best.txt";
	public static final int INITIALLY_PROVIDED_ROUTE = 0;
	public java.lang.String inFile = "traces.dat";
	public double increasePerLane = 1;
	public int HOW_MORE_TO_REMOVE = 4;
	public int HOW_FAR_AHEAD = 1;
	public static final int DYNAMIC_SELF_ROUTE = 1;
	public static final int DYNAMIC_INFRASTRUCTURE_ROUTE = 2;
	public static final int DYNAMIC_CITY_ROUTE = 3;
	
	/** routing algorithm selection values */
	public static final int ROUTING_SCFT = 4;
	
	public ArrayList<DelayRecord> delays = new ArrayList<DelayRecord>();
	public ArrayList<RoadSegmentCost> segmentsCost = new ArrayList<RoadSegmentCost>();

	//	public static double increasePerLane =1;
	//	
	//	public static int percentBestRoute=80;
	//	public static int HOW_FAR_AHEAD=1;
	//	public static int HOW_MORE_TO_REMOVE=4;
	//	public static int PERCENT_DYNAMIC_ROUTE=80;
	//	public static String fisOutCar ="logIfrRouted.txt";
	//	public static final int INITIALLY_PROVIDED_ROUTE=0;
	//	public static final int DYNAMIC_SELF_ROUTE=1;
	//	public static final int DYNAMIC_INFRASTRUCTURE_ROUTE=2;

}