/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.vehicular.scenarios;


import java.util.ArrayList;

import vnsim.vehicular.simulator.Location;
import vnsim.vehicular.simulator.RouteSegment;


public class Route implements java.io.Serializable {
	
	/** <code>serialVersionUID</code> */
	private static final long serialVersionUID = -5883719321862303634L;
	
	public Location entry;
	public Location exit;
	public ArrayList<RouteSegment> route;
	
	public boolean equals(Route r) {
		if(entry.equals(r.entry) && exit.equals(r.exit)) {
			if(route.size()==r.route.size()){
				for(int i=0;i<route.size();i++){
				if(!route.get(i).equals(r.route.get(i))) {
					return false;
				}
			}
			return true;
			} else {
				return false;
			}
		}else{
			return false;
		}
	}
}
