/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.applications.vitp.predefinedqueries;

import vnsim.applications.vitp.utils.VITPRequest;

public class QueryByLocation extends Query {

	//location where to search for a vehicle on
	//which the query should be injected
	public int roadIdx;
	public int pointIdx;

	public QueryByLocation(VITPRequest req, int roadIdx, int pointIdx) {
		super(req);
		this.roadIdx=roadIdx;
		this.pointIdx=pointIdx;
	}
}
