/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.network.dsrc;

import vnsim.applications.trafficview.SimulatedCarInfo;
import vnsim.map.object.Globals;
import vnsim.vehicular.simulator.CarInstance;

public class EmergencyRequest
{
	public static void generateEmergencyMessage(CarInstance car)
	{
		SimulatedCarInfo myCar = Globals.engine.getCarIdx(car.ID);
		
		if (myCar != null) 
		{
			myCar.scheduleEmergencySendEvent(Globals.MESSAGE_PROCESSING_TIME);
		}

	}
}