/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.vehicular.generator;



import java.util.Vector;

import vnsim.vehicular.simulator.Location;
import vnsim.vehicular.simulator.RouteSegment;

public class NewCarEvent {
	public int timestamp; //simulation time
	public int index; //in the Mobility.entryScenarios array
	public int period; //simulation time (rescheduling time)

	public NewCarEvent(int timestamp, int index, int period) {
		this.index=index;
		this.timestamp=timestamp;
		this.period=period;
	}
	
	public int compareTo(NewCarEvent o) {
		if(this.timestamp > o.timestamp)
			return 1;
		if(this.timestamp==o.timestamp)
			return 0;
		return -1;
	}
}
