/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.vehicular.routePlan.selfRouted;



import java.io.Serializable;

import vnsim.vehicular.routePlan.selfRouted.MajorRoadArea;
public class AreaCode implements Serializable {
	
	/** <code>serialVersionUID</code> */
	private static final long serialVersionUID = -5883719321862303634L;
	
	public byte[] code;

	public MajorRoadArea belongingTo;

	public AreaCode(int i) {
		code = new byte[i];
	}

	public String areaCodeToString() {
		String rez = new String();
		for (int i = 0; i < code.length; i++) {
			rez = rez + code[i] + " ";
		}

		return rez;
	}

}