/************************************************************************************
 * Copyright (C) 2008 by Politehnica University of Bucharest and Rutgers University
 * All rights reserved.
 * Refer to LICENSE for terms and conditions of use.
 ***********************************************************************************/
package vnsim.vehicular.scenarios;


import java.util.Vector;

import vnsim.vehicular.simulator.Location;


public class EntryExitScenario implements java.io.Serializable {
	
	/** <code>serialVersionUID</code> */
	private static final long serialVersionUID = -5883719321862303634L;

	public Location entry;
	public Location exit;
	public int percentOfFlow;
	public Vector<Route> routes;
	public Vector<Integer> percentsEachRoute;
	
	
	public EntryExitScenario(Location entry,Location exit){
		this.entry=entry;
		this.exit=exit;
		this.percentOfFlow=0;
		this.routes=new Vector<Route>();
		this.percentsEachRoute=new Vector<Integer>();
	}
	
}
